Package dev.plex.punishment

# Class PunishmentManager.IndefiniteBan

java.lang.Object
dev.plex.punishment.PunishmentManager.IndefiniteBan

Enclosing class:
  PunishmentManager

public static class PunishmentManager.IndefiniteBan extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`private final List<String>`
`ips`
`private final List<String>`
`usernames`
`private final List<UUID>`
`uuids`

## Constructor Summary

Constructors
Constructor
Description
`IndefiniteBan()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### usernames

private final List<String> usernames

### uuids

private final List<UUID> uuids

### ips

private final List<String> ips

## Constructor Details

### IndefiniteBan

public IndefiniteBan()